%define	oname DevIL

%define major		1
%define	libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Summary:	Open source image library
Name:		devil
Version:	1.7.8
Release:	%mkrel 25
License:	LGPLv2+
Group:		System/Libraries
URL:		http://openil.sourceforge.net/
Source0:	http://downloads.sourceforge.net/openil/%{oname}-%{version}.tar.gz
Patch0:		devil-1.7.8-libpng14.patch
Patch1:		devil-1.7.8-link.patch
Patch2:		devil-1.7.8-CVE-2009-3994.patch
Patch3:		devil-1.7.8-gcc5.patch
Patch4:		devil-1.7.8-jasper2.patch

BuildRequires:	zlib-devel
BuildRequires:	jpeg-devel
BuildRequires:	tiff-devel
BuildRequires:	SDL-devel
BuildRequires:	png-devel
BuildRequires:	lcms2-devel
BuildRequires:	mng-devel
BuildRequires:	mesaglu-devel
BuildRequires:	allegro4-devel
BuildRequires:	ungif-devel
BuildRequires:	libtool
BuildRequires:	jasper-devel
BuildRequires:	OpenEXR-devel
BuildRequires:	file
BuildRequires:	texinfo

%description
DevIL is an Open Source image library whose distribution is done under the
terms of the GNU LGPL license.
DevIL offers you a simple way to implement loading, manipulating, filtering,
converting, displaying, saving from/to several different image formats in your
own project.

%package -n %{libname}
Summary:	Libraries needed for programs using %{oname}
Group:		System/Libraries
Provides:	lib%{name}
Provides:	%{name}

%description -n	%{libname}
DevIL is an Open Source image library whose distribution is done under the
terms of the GNU LGPL license.
DevIL offers you a simple way to implement loading, manipulating, filtering,
converting, displaying, saving from/to several different image formats in your
own project.

%package -n %{develname}
Summary:	Development headers and libraries for writing programs using %{oname}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}
Obsoletes:	%{_lib}devil1-devel
Obsoletes:	%{_lib}devil-static-devel < 1.7.8-10

%description -n	%{develname}
Development headers and libraries for writing programs using %{oname}.

%package 	utils
Summary:	Tools provided by %{oname}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-utils = %{version}-%{release}

%description 	utils
This package contains tools provided by %{oname}.

%prep
%setup -q
%patch0 -p0
%patch1 -p0
%patch2 -p1
%patch3 -p1
%patch4 -p1

# strip away annoying ^M
find . -type f|xargs file|grep 'CRLF'|cut -d: -f1|xargs perl -p -i -e 's/\r//'
find . -type f|xargs file|grep 'text'|cut -d: -f1|xargs perl -p -i -e 's/\r//'

%build
export CFLAGS="%{optflags} -O3 -funroll-loops -ffast-math -fomit-frame-pointer -fexpensive-optimizations"
autoreconf -fi

%configure2_5x	\
	--enable-shared \
	--disable-static \
	--enable-ILU \
	--enable-ILUT \
%ifarch x86_64
	--enable-x86_64 \
	--enable-sse \
	--enable-sse2 \
	--disable-sse3 \
%endif
%ifarch %ix86
	--enable-x86 \
	--disable-x86_64 \
	--disable-sse \
	--disable-sse2 \
	--disable-sse3 \
%endif
	--with-x \
	--with-zlib=yes \
	--enable-release

%make_build CPPFLAGS="-DNOINLINE"

%install
%make_install

find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%doc AUTHORS CREDITS ChangeLog Libraries.txt README.unix
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/IL
%{_infodir}/*.info.*

%files utils
%{_bindir}/ilur


%changelog
* Sun Mar 12 2017 akien <akien> 1.7.8-25.mga6
+ Revision: 1092241
- Rebuild against allegro4

* Fri Mar 03 2017 daviddavid <daviddavid> 1.7.8-24.mga6
+ Revision: 1088606
- add fedora patch to fix build with newer jasper (futur jasper 2)

* Sun Feb 14 2016 umeabot <umeabot> 1.7.8-23.mga6
+ Revision: 959840
- Mageia 6 Mass Rebuild

* Sat Aug 22 2015 akien <akien> 1.7.8-22.mga6
+ Revision: 868073
- Rebuild for gcc 5.2.1

  + umeabot <umeabot>
    - Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.7.8-20.mga5
+ Revision: 678723
- Mageia 5 Mass Rebuild

* Sun Aug 24 2014 luigiwalser <luigiwalser> 1.7.8-19.mga5
+ Revision: 666988
- rebuild for ilmbase and OpenEXR

* Sat Aug 02 2014 spuhler <spuhler> 1.7.8-18.mga5
+ Revision: 659161
- changed BuildRequires:  lcms-devel to lcms2-devel
  * we want to obsolete lcms

* Fri Apr 25 2014 akien <akien> 1.7.8-17.mga5
+ Revision: 618065
- Rebuild for new OpenEXR

* Sat Oct 19 2013 umeabot <umeabot> 1.7.8-16.mga5
+ Revision: 534411
- Mageia 4 Mass Rebuild

* Thu Sep 12 2013 fwang <fwang> 1.7.8-15.mga4
+ Revision: 477839
- rebuild for new ilmbase

* Tue Aug 27 2013 tv <tv> 1.7.8-14.mga4
+ Revision: 472376
- rebuild for new libmng

* Sun Jun 02 2013 fwang <fwang> 1.7.8-13.mga4
+ Revision: 434722
- rebuild for new libpng

* Sun Apr 07 2013 rtp <rtp> 1.7.8-12.mga3
+ Revision: 408943
- fix configure args

* Fri Jan 11 2013 umeabot <umeabot> 1.7.8-11.mga3
+ Revision: 348736
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 10 2012 wally <wally> 1.7.8-10.mga3
+ Revision: 194728
- fix CVE-2009-3994 (better late than never)
- disable static build and drop -static-devel pkg
- use an ugly CPPFLAGS workaround to get pkg build (temporary)

  + dmorgan <dmorgan>
    - Fix provides in the devel packages

  + fwang <fwang>
    - fix linkage
    - rebuild for new tiff

* Mon Oct 03 2011 fwang <fwang> 1.7.8-9.mga2
+ Revision: 151166
- drop .la files

* Sat Sep 10 2011 fwang <fwang> 1.7.8-8.mga2
+ Revision: 142180
- remove deprecated symbol
- rebuild for new libpng

* Mon Jul 18 2011 dmorgan <dmorgan> 1.7.8-7.mga2
+ Revision: 125821
- Rebuild against new directfb

* Mon Jul 18 2011 fwang <fwang> 1.7.8-6.mga2
+ Revision: 125784
- rebuild for new dfb

* Thu Mar 24 2011 boklm <boklm> 1.7.8-5.mga1
+ Revision: 76135
- rebuild for bug #497

* Mon Mar 07 2011 nanardon <nanardon> 1.7.8-4.mga1
+ Revision: 65789
- mdv cleanup
- imported package devil

